## ltsp 5.5.1

=== po/Makefile ===
# Makefile to manage gettext files based in pppoeconf package 
# modified by Tiago Bortoletto Vaz <tiago@debian-ba.org>
# last update: Qua Jun 28 23:18:15 EDT 2006

DOMAIN=ltsp
POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
GETTEXTFILES=$(shell find ../server ../common/ltsp-common-functions -type f)
POTFILE=$(DOMAIN).pot
DESTDIR=/

%.mo: %.po
	msgfmt --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U $*.po $(DOMAIN).pot

$(DOMAIN).pot: $(GETTEXTFILES)
	$(shell xgettext -L Shell -o $(DOMAIN).pot $(GETTEXTFILES))

update-po:
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po $(DOMAIN).pot; \
	done

install: $(MOFILES)
	-for lang in $(LINGUAS); do\
	    install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	    install -m 644 $$lang.mo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

all: update-po $(MOFILES)

clean:
	- rm *.mo *~

.PHONY: update-po

=== client/getltscfg/Makefile ===


LEX=flex
YACC=bison

LIBS=-lfl -lpopt
##LIBS=-lfl -ll -lpopt
YFLAGS=-v -d
LDFLAGS=
CCFLAGS=-W -Wall $(CFLAGS)

getltscfg:	getltscfg.o		\
		parser.tab.o		\
		lexer.o
	cc -o getltscfg getltscfg.o	\
			parser.tab.o	\
			lexer.o		\
			$(LIBS)		\
			$(LDFLAGS)

getltscfg.o:	getltscfg.c		\
		getltscfg.h
	cc -c getltscfg.c $(CCFLAGS) -o getltscfg.o

parser.tab.o:	parser.tab.c
	cc -c parser.tab.c $(CCFLAGS) -o parser.tab.o

lexer.o:	lexer.c parser.tab.c
	cc -c lexer.c $(CCFLAGS) -o lexer.o

parser.tab.c:	parser.y		\
		getltscfg.h
	$(YACC) $(YFLAGS) parser.y

lexer.c:	lexer.l			\
		getltscfg.h
	$(LEX) lexer.l
	mv lex.yy.c lexer.c

clean:
	-@rm -f lexer.c
	-@rm -f lexer.o
	-@rm -f parser.tab.c
	-@rm -f parser.tab.o
	-@rm -f y.output
	-@rm -f parser.tab.h
	-@rm -f parser.output
	-@rm -f getltscfg.o
	-@rm -f getltscfg

=== debian/changelog ===
ltsp (5.5.1-1ubuntu2) trusty; urgency=medium

  * Cherry-pick upstream bugfixes:
    - r2557: Drop "plymouth:force-splash vt.handoff=7" from the cmdline
      as they interfere with LTSP debugging and don't provide any improvement
      as LTSP's initrd doesn't contain plymouth anymore and we don't get
      flicker free X startup anyway.
    - r2558: Increase the udhcp timeout from 4 to 10 seconds, this fixes
      boot on some slower hardware.
    - r2559: Fix ltsp-update-image --revert.
    - r2560: More udhcp fix to pick up interfaces which show up after
      the script has started.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 Apr 2014 09:24:05 -0400

ltsp (5.5.1-1ubuntu1) trusty; urgency=medium

  * Pick up upstream bugfix release for the LTS.
  * Merge from Debian unstable. Remaining changes:
    - Change default color depth from 16bit to 24bit as 16bit just doesn't
      work when using unity with llvmpipe. This is a workaround and
      alternatives should be looked at to get back to 16bit if possible.
    - Add 40-ltsp as 40-ltsp-client and 40-ltsp-server in Xsession.d for both
      ltsp-client-core and ltsp-server. (LP: #987726)
    - Ship a distro-specific dhcpd.conf using the good old
      192.168.0.0/24 subnet instead of upstream's default 192.168.67.0/24.
    - Add fat client support to the udeb.
    - Have the udeb detect Ubuntu flavours with only main and restricted.
    - Fix race condition during image compression in udeb.
    - Patch dhcpd.conf on the fly to match current architecture.
    - Create a squashfs image by default and configure network in d-i.
    - Install ltsp-cluster.
    - Add code for second stage Edubuntu LTSP install.
    - Change watch file to monitor Debian.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 14 Mar 2014 09:25:34 -0400

ltsp (5.5.1-1) unstable; urgency=medium

  * New upstream version:
    - Create kernel flavor symlinks in TFTP dir, not in the LTSP chroot's
      /boot dir. This works around issues in grub that may break the default
      boot option for the server!

    - ltsp-server:
      + ltsp-build-client: Add plugin to support -updates mirrors.
      + Support the --version option in all server tools.

    - ltsp-client:
      + Run custom commands in init-ltsp using INIT_COMMAND_XX.
      + nbd-disconnect:
        - Poweroff/reboot are reported to work in more cases than sysrq.
        - Don't hardcode /dev/nbd0 for root.
      + Allow any number of digits to some lts.conf directives.
      + initramfs-tools scripts: Check when the NICs are available and up,
        rather than relying on wait_for_udev.

  [ Vagrant Cascadian ]
  * ltsp-server:
    - Do not install nbdrootd (deprecated in wheezy).
    - Remove Depends on update-inetd, no longer used.

  * ltsp-client/ltsp-client-core: 
    - Drop Depends/Suggests on mdetect, which is no longer used.
    - Drop Depends on mkelfimage and mknbi, which are deprecated upstream.
    - Only Recommend acpi-support-base when building on Debian.

  * Update to debhelper compat level 9.
  * Set vendor and version when building manpages.

  [ Alkis Georgopoulos ]
  * ltsp-client: X-Ubuntu-Recommend the font packages, declare some
      alternate package names for older versions, and lower zram-config
      to X-Ubuntu-Suggests, as NBD_SWAP is much better for LTSP clients.
  * Remove debian/patches/initramfs-busybox-sleep, applied upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 26 Feb 2014 20:55:34 -0800

ltsp (5.5.0-1ubuntu1) trusty; urgency=medium

   * Merge from Debian unstable. Remaining changes:
    - Change default color depth from 16bit to 24bit as 16bit just doesn't
      work when using unity with llvmpipe. This is a workaround and
      alternatives should be looked at to get back to 16bit if possible.
    - Add 40-ltsp as 40-ltsp-client and 40-ltsp-server in Xsession.d for both
      ltsp-client-core and ltsp-server. (LP: #987726)
    - Ship a distro-specific dhcpd.conf using the good old
      192.168.0.0/24 subnet instead of upstream's default 192.168.67.0/24.
    - Add fat client support to the udeb.
    - Have the udeb detect Ubuntu flavours with only main and restricted.
    - Fix race condition during image compression in udeb.
    - Patch dhcpd.conf on the fly to match current architecture.
    - Create a squashfs image by default and configure network in d-i.
    - Install ltsp-cluster.
    - Add code for second stage Edubuntu LTSP install.
    - Change watch file to monitor Debian.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 02 Jan 2014 11:51:05 +0100

ltsp (5.5.0-1) unstable; urgency=medium

  * New upstream version:
    - Write resolvconf configuration to /etc/ rather than /run, as the
      init script wipes out /run after writing to it (Closes: #701647).

    - Add support for modelines (Closes: #591608).
      Based on patch by Andre Majorel.

    - Allow overriding hard-coded "server" alias in /etc/hosts with
      $SERVER_NAME. Thanks to Wolfgang Schweer.
      (Partially addresses: #613988).

    - ltsp-update-kernels: Allow for editable pxelinux.cfg/default, by only
      symlinking to the autogenerated pxelinux.cfg/ltsp. Replacing the symlink
      with a file can now be done without it getting overwritten.

    - update-kernels: Create unversioned symlinks for each kernel variant.

    - ltsp-localappsd: Replace "xatomwait" with "xprop -spy".

    - Increase NBD_SWAP_THRESHOLD default values.

    - nbd-disconnect: Exit if not running NBD root.

    - ltsp-build-client: Switch default mirror to http.debian.net.

    - initramfs-tools scripts:
      + Basic support for AoE root. 
      + Support for mounting an image file over NFS.
      + udhcpc: use correct case for IP kernel parameter.

  [ Alkis Georgopoulos ]
  * Remove packaging to build and install xatomwait.

  [ Vagrant Cascadian ]
  * debian/rules: Switch to using dpkg-vendor instead of lsb_release for
    detecting vendor.

  * ltsp-client-core:


=== debian/control ===
Source: ltsp
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
Uploaders: Vagrant Cascadian <vagrant@debian.org>
Build-Depends: automake | automaken,
  bison,
  debhelper (>= 9),
  dh-autoreconf,
  flex,
  dctrl-tools,
  libpopt-dev,
  libx11-dev,
  pkg-config,
  po-debconf,
  help2man
Standards-Version: 3.9.5
Vcs-Bzr: nosmart+http://anonscm.debian.org/bzr/pkg-ltsp/ltsp-debian-packaging/
Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
Homepage: http://ltsp.org

Package: ltsp-server
Depends: ${misc:Depends},
  debconf-utils,
  debootstrap (>= 1.0.30),
  gettext-base,
  iproute | freebsd-net-tools,
  lsb-release,
  openssh-client,
  python (>= 2.4),
  tcpd,
X-Debian-Recommends: nfs-kernel-server
Recommends: ${vendor:Recommends},
  nbd-server (>= 1:2.9.25-2),
  openbsd-inetd | inet-superserver,
  openssh-server,
  squashfs-tools,
  tftpd-hpa | atftpd | dnsmasq (>= 2.41)
Suggests: audiooss,
  gnome-session | x-session-manager | x-window-manager,
  isc-dhcp-server | dhcp3-server | dnsmasq,
  ldm-server,
  libasound2-plugins,
  ltsp-docs,
  ltspfs,
  pulseaudio,
  qemu-user-static,
  sdm,
  x11-utils,
  xauth
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: all
Description: basic LTSP server environment
 This is the basic environment including the minimal features necessary to
 build an LTSP environment.
 .
 It also recommends services needed for thin-clients to boot and mount
 filesystems over the network.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-server-standalone
X-Debian-Depends: nfs-kernel-server
Depends: ${misc:Depends},
  ${vendor:Depends},
  gnome-session | x-session-manager | x-window-manager,
  isc-dhcp-server | dhcp3-server | dnsmasq,
  ldm-server,
  libasound2-plugins,
  ltspfs,
  ltsp-server,
  nbd-server (>= 1:2.9.25-2),
  openbsd-inetd | inet-superserver,
  openssh-server,
  squashfs-tools,
  tftpd-hpa | atftpd | dnsmasq (>= 2.41),
  x11-utils,
  xauth
Recommends: ltsp-docs
Architecture: all
Description: complete LTSP server environment
 This is a complete LTSP server environment with all LTSP server features
 including a DHCP server, remote device access using ltspfs, remote sound using
 pulseaudio, network swap using NBD and more.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-client-core
X-Ubuntu-Depends: busybox-static,
  udhcpc,
  usbutils
Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${vendor:Depends},
  console-setup,
  initramfs-tools (>= 0.99) [linux-any],
  iproute,
  kbd [linux-any] | console-tools [linux-any],
  lsb-base,
  lsb-release,
  nbd-client (>= 1:2.9.25-2) [linux-any],
  python,
  syslinux [i386 amd64],
  tftp-hpa,
  yaboot[powerpc]
Suggests: alsa-utils,
  cron,
  cryptsetup,
  cups-bsd,
  freerdp-x11 | rdesktop,
  inputattach [!s390 !s390x] | joystick (<< 20051019-6) [!s390 !s390x],
  ldm,
  libasound2-plugins,
  ltspfsd (>= 1.1),
  netcat-traditional | netcat,
  ntpdate,
  numlockx,
  pulseaudio, 
  python-serial,
  rsyslog | system-log-daemon,
  sane-utils,
  sdm-terminal | x-display-manager,
  sshfs,
  x11-xserver-utils
X-Debian-Recommends: acpi-support-base
Recommends: ${vendor:Recommends}, procps, pciutils, dnsutils | knot-dnsutils
Breaks: ltsp-server (<< 5.3.7)
Replaces: ltsp-server (<< 5.3.7)
Architecture: any
Description: basic LTSP client environment
 This package provides the scripts needed to configure and boot a basic LTSP
 client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client file system.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-client
X-Ubuntu-Depends: dbus,
  dmz-cursor-theme,
  language-pack-en,
  libgl1-mesa-dri,
  plymouth-theme-ubuntu-logo,
  plymouth-theme-ubuntu-text,
  wget
X-Debian-Depends: cryptsetup
Depends: ${misc:Depends},
  ${vendor:Depends},
  alsa-utils,
  cron,
  cups-bsd,
  freerdp-x11 | rdesktop,
  inputattach [!s390 !s390x] | joystick (<< 20051019-6) [!s390 !s390x],
  ldm,
  libasound2-plugins,
  ltsp-client-core,
  ltspfsd (>= 1.1),
  netcat-traditional | netcat,
  ntpdate,
  numlockx,
  pulseaudio,
  python-serial,
  rsyslog | system-log-daemon,
  sane-utils,
  sshfs,
  x11-xserver-utils,
  xorg
X-Ubuntu-Recommends: fonts-dejavu-core | ttf-dejavu-core,
  fonts-freefont-ttf | ttf-freefont,
  fonts-kacst-one,
  fonts-khmeros-core,
  fonts-lao,
  fonts-liberation,
  fonts-nanum,
  fonts-takao-pgothic,
  fonts-thai-tlwg | ttf-thai-tlwg,
  ttf-indic-fonts-core,
  ttf-punjabi-fonts,
  ttf-ubuntu-font-family,
  ttf-wqy-microhei
Recommends: ${vendor:Recommends}
X-Ubuntu-Suggests: zram-config
Suggests: ${vendor:Suggests}
Architecture: any
Description: complete LTSP client environment
 This package ensures that a complete LTSP client with a graphical user
 environment, remote audio and local device support is installed.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client file system.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-client-builder
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${vendor:Depends},
  pkgsel
X-Debian-Depends: kbd-chooser
X-Ubuntu-Depends: console-setup-udeb
XB-Installer-Menu-Item: 7000
Description: build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the CD-ROM is still mounted.
 .
 LTSP stands for 'Linux Terminal Server Project'.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

VENDOR ?= $(shell dpkg-vendor --query Vendor)
ifeq (Ubuntu,$(VENDOR))
	INSTALLUDEV_OPTS="--priority=80"
endif

DEB_VERSION:=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	cd server/man; ./configure ; cd -
ifeq ($(DEB_HOST_ARCH_OS),linux)
	cd client/nbd-proxy; ./configure --prefix=/usr --libexecdir=/usr/lib; cd -
endif

	$(MAKE) -C client/getltscfg
	DEB_VERSION="$(DEB_VERSION)" VENDOR="$(VENDOR)" $(MAKE) -C server/man
ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(MAKE) -C client/nbd-proxy 
endif

override_dh_autoreconf_clean:
	# some Makefiles need to run before dh_autoreconf_clean removes files they 
	# would use.

ifeq ($(DEB_HOST_ARCH_OS),linux)
	[ ! -f client/nbd-proxy/Makefile ] || $(MAKE) -C client/nbd-proxy clean
endif
	dh_autoreconf_clean

override_dh_clean:
	[ ! -f client/getltscfg/Makefile ] || $(MAKE) -C client/getltscfg clean

	# Using po specific Makefile to clean message catalogs
	$(MAKE) -C po clean

	# Debconf translation update
	debconf-updatepo

	chmod +x debian/bugs/ltsp-server/script

	dh_clean

override_dh_installinit:
	# Copy default and init scripts from upstream code
	cp $(CURDIR)/client/initscripts/ltsp-core $(CURDIR)/debian/ltsp-client-core.init
	cp $(CURDIR)/client/Ubuntu/initscripts/ltsp-core.upstart $(CURDIR)/debian/ltsp-client-core.upstart
	dh_installinit -a --no-start

override_dh_install:
	dh_install
ifeq ($(DEB_HOST_ARCH_OS),linux)
	mkdir -p $(CURDIR)/debian/ltsp-client-core/usr/sbin/
	install -m 755 client/nbd-proxy/src/nbd-proxy $(CURDIR)/debian/ltsp-client-core/usr/sbin/nbd-proxy
	install -m 755 client/nbd-proxy/src/nbd-client-proxy $(CURDIR)/debian/ltsp-client-core/usr/sbin/nbd-client-proxy
endif
	# manually install some cruft
	mkdir -p $(CURDIR)/debian/ltsp-client-core/usr/share/ltsp/
	mkdir -p $(CURDIR)/debian/ltsp-server/usr/share/ltsp/
	install -m 644 common/ltsp-common-functions $(CURDIR)/debian/ltsp-client-core/usr/share/ltsp/ltsp-client-common-functions
	sed -i -e "s/ltsp_tool 1.0/ltsp_tool $(DEB_VERSION)/" $(CURDIR)/debian/ltsp-client-core/usr/share/ltsp/ltsp-client-common-functions
	install -m 644 common/ltsp-common-functions $(CURDIR)/debian/ltsp-server/usr/share/ltsp/ltsp-server-common-functions
	sed -i -e "s/ltsp_tool 1.0/ltsp_tool $(DEB_VERSION)/" $(CURDIR)/debian/ltsp-server/usr/share/ltsp/ltsp-server-common-functions
	# ship a copy of ltsp-server-vendor-functions as 
	# ltsp-client-vendor-functions... no, really!
	install -m 644 server/Debian/share/ltsp/ltsp-server-vendor-functions $(CURDIR)/debian/ltsp-client-core/usr/share/ltsp/ltsp-client-vendor-functions

	# install 40-ltsp in both ltsp-client-core and ltsp-server
	mkdir -p $(CURDIR)/debian/ltsp-client-core/etc/X11/Xsession.d/
	install -m 644 $(CURDIR)/debian/40-ltsp $(CURDIR)/debian/ltsp-client-core/etc/X11/Xsession.d/40-ltsp-client
	mkdir -p $(CURDIR)/debian/ltsp-server/etc/X11/Xsession.d/
	install -m 644 $(CURDIR)/debian/40-ltsp $(CURDIR)/debian/ltsp-server/etc/X11/Xsession.d/40-ltsp-server

	# install appropriate update-kernels.conf
	mkdir -p $(CURDIR)/debian/ltsp-client-core/etc/ltsp/
	install -m 644 client/$(VENDOR)/etc/ltsp/update-kernels.conf $(CURDIR)/debian/ltsp-client-core/etc/ltsp/update-kernels.conf

	# Using po specific Makefile to install message catalogs
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ltsp-server/

override_dh_autoreconf:
	dh_autoreconf ./debian/autogen.sh

override_dh_gencontrol:
	./debian/x-vendor-substvars $(VENDOR)
	dh_gencontrol

=== debian/watch ===
# ltsp currently doesn't release tarballs. the latest version can be found by
# checking the following URL:
# http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk/annotate/head:/release.conf

version=3

# check versions uploaded to other distros:

# ubuntu
http://archive.ubuntu.com/ubuntu/pool/main/l/ltsp/ltsp_(.*)\.orig\.tar\.gz

## ltsp 5.5.4

=== debian/changelog ===
ltsp (5.5.4-4) unstable; urgency=medium

  * ltsp-client-builder: Fix mounting of "cdrom" during by using the
    device of already mounted "cdrom" images. Tested with both CD and USB
    installs, and systems with multiple CD drives.  Thanks to Wolfgang
    Schweer (Closes: #540990, #780591).

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 31 Mar 2015 16:54:20 -0700

ltsp (5.5.4-3) unstable; urgency=medium

  * Add debian/ltsp-client-core.maintscript to remove obsolete
    /etc/init.d/ltsp-client-setup and /etc/default/ltsp-client-setup
    leftover from squeeze upgrades (Closes: #777184). Thanks to Andreas
    Beckmann!

  * Apply patch from upstream to no longer remove nouveau_vieux driver on
    boot, which is terribly hackish and no longer appropriate with current
    versions of LDM (Closes: #767764).

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 12 Feb 2015 14:22:07 -0800

ltsp (5.5.4-2) unstable; urgency=medium

  * ltsp-update-kernels/update-kernels: Fix kernel version sorting that
    results in clients booting obsolete kernels (Closes: #771470).

  * update-kernels: Suppress mkimage output, as it prevents linux-image
    packages from being removed successfully (Closes: #771728).

  * ltsp-build-client: Remove plugin that needlessly modifies pulseaudio
    configuration files.

  * ltsp-update-kernels: Remove dtb files when corresponding kernel
    version is no longer present.

  * debian/copyright: Remove outdated VCS information.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 01 Dec 2014 15:22:01 -0800

ltsp (5.5.4-1) unstable; urgency=medium

  * New upstream version:
    - Support for disabling systemd services with RM_SYSTEM_SERVICES.
      (Closes: #765065)

    - Disable cups-browsed and ModemManager services by default.
      (Closes: #761891, #765065).

    - Set up hostname.domain in /etc/hosts (LP: #1093088).

    - Fix use of SHUTDOWN_TIME with LDM to use ltsp-logout-action instead.
      (LP: #604908).

    - Fix ssh, xdmcp and telnet screen scripts by checking for empty
      argument (LP: #1020113, #1175618).

    - Default to "server" in ssh screen script so that ssh_known_hosts
      file generated by ltsp-update-sshkeys will match.

    - ltsp-build-client: Do not use full path to libeatmydata.so.
      (Closes: #765694)

    - Unset temporary directory variables to avoid problems when directory
      is missing inside the chroot (Closes: #765443).

    - update-kernels: Update ARM code to generate a generic bootscript.

  * debian/control:
    - Add u-boot-tools to ltsp-client-core Depends on armhf/armel.
    - Update Standards-Version to 3.9.6, no changes needed.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 21 Oct 2014 23:32:58 -0700

ltsp (5.5.3-1) unstable; urgency=medium

  * New upstream version:
    - ltsp-build-client:
      + Drop ltsp-build-client mount-cdrom plugin.
      + Default to armmp kernel variant for armhf architecture.
      + Rename mount-proc plugin to mount-sys, which allows the mount-proc
        common plugin to mount the proc filesystem (Closes: #761401). 
        Thanks to Petter Reinholdtsen for the report.

    - Remove support for screen scripts (kiosk, xfreerdp, xterm) without
      xinitrc, it has been shipped in LTSP for quite some time.

    - Disable listening on tcp in several screen scripts (kiosk, xfreerdp,
      xterm). Thanks to Denis Croombs for reporting the issue!

    - xfreerdp screen script: Test for empty arguments to ensure a
      reasonable default.
  
    - update-kernels: Clarify location of update-kernels.conf in generated
      pxelinux files (Closes: #760312). Thanks to Olaf Klein for the report.

    - init-ltsp.d/05-getltsconffile:
      + Allow specifying alternate lts.conf file location with
        ltsp.ltsconf= boot prompt option. Thanks to Juan Antonio Martinez
        for the patch! LP: #1339671.
      + Use detect_arch function as a fallback when a filename is not
        specified.

    - Cache variables set by ltsp.* boot prompt options, so that later
      scripts make use of them.

  * ltsp-server/ltsp-server-standalone: Prefer mate-desktop-environment
    over gnome-session.

  * ltsp-client-builder: Mount /media/cdrom in the target if not already
    mounted (Closes: #758500).

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 15 Sep 2014 12:34:42 -0500

ltsp (5.5.2-1) unstable; urgency=medium

  * New upstream version:
    - Add support for newer versions of syslinux/pxelinux.
    - Support LDM feature to hash passwords for use with
      localapps and fat clients.
    - ltsp-build-client: Allow setting --locale as simply the locale,
      rather than requiring also specifying the encoding.
    - initramfs udhcp hooks:
      + bring up NICs that become available progressively.
      + timeout for ip link up from 4 seconds to 10.
    - Fix ltsp-update-image --revert.
    - screen.d/kiosk: Pass KIOSK_OPTIONS as an environment variable.
      (Closes: #743867)

  * ltsp-client-core: Update syslinux/pxelinux dependencies:
    - Add syslinux-common
    - Remove syslinux
    - Add pxelinux, with fallback for older versions of syslinux-common.

  * ltsp-server/ltsp-client-core:
    - Prefer iproute2 over iproute transitional package.
      (Closes: #753746, #753749)

  * debian/rules:
    - Use dpkg-vendor --derives-from Ubuntu to set VENDOR, to better handle
      Debian/Ubuntu derivatives (Closes: #741143). Thanks to Peter Green.

  * ltsp-client-builder:
    - Add "--updates-mirror none", which is needed when CD/USB sticks do not
      contain an updates-mirror.
    - Drop --mount-cdrom option, as it is no longer needed (Closes: #606313).

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 05 Aug 2014 16:19:36 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ltsp
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
+Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>
 Build-Depends: automake | automaken,
   bison,
@@ -15,7 +14,7 @@
   pkg-config,
   po-debconf,
   help2man
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Bzr: nosmart+http://anonscm.debian.org/bzr/pkg-ltsp/ltsp-debian-packaging/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
 Homepage: http://ltsp.org
@@ -25,7 +24,7 @@
   debconf-utils,
   debootstrap (>= 1.0.30),
   gettext-base,
-  iproute | freebsd-net-tools,
+  iproute2 | iproute | freebsd-net-tools,
   lsb-release,
   openssh-client,
   python (>= 2.4),
@@ -38,7 +37,7 @@
   squashfs-tools,
   tftpd-hpa | atftpd | dnsmasq (>= 2.41)
 Suggests: audiooss,
-  gnome-session | x-session-manager | x-window-manager,
+  mate-desktop-environment | gnome-session | x-session-manager | x-window-manager,
   isc-dhcp-server | dhcp3-server | dnsmasq,
   ldm-server,
   libasound2-plugins,
@@ -65,7 +64,7 @@
 X-Debian-Depends: nfs-kernel-server
 Depends: ${misc:Depends},
   ${vendor:Depends},
-  gnome-session | x-session-manager | x-window-manager,
+  mate-desktop-environment | gnome-session | x-session-manager | x-window-manager,
   isc-dhcp-server | dhcp3-server | dnsmasq,
   ldm-server,
   libasound2-plugins,
@@ -96,14 +95,16 @@
   ${vendor:Depends},
   console-setup,
   initramfs-tools (>= 0.99) [linux-any],
-  iproute,
+  iproute2 | iproute,
   kbd [linux-any] | console-tools [linux-any],
   lsb-base,
   lsb-release,
   nbd-client (>= 1:2.9.25-2) [linux-any],
   python,
-  syslinux [i386 amd64],
+  pxelinux [i386 amd64] | syslinux-common (<= 3:6) [i386 amd64],
+  syslinux-common [i386 amd64], 
   tftp-hpa,
+  u-boot-tools [armhf armel],
   yaboot[powerpc]
 Suggests: alsa-utils,
   cron,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-VENDOR ?= $(shell dpkg-vendor --query Vendor)
+VENDOR ?= $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)
 ifeq (Ubuntu,$(VENDOR))
 	INSTALLUDEV_OPTS="--priority=80"
 endif
@@ -70,12 +70,6 @@
 	# ltsp-client-vendor-functions... no, really!
 	install -m 644 server/Debian/share/ltsp/ltsp-server-vendor-functions $(CURDIR)/debian/ltsp-client-core/usr/share/ltsp/ltsp-client-vendor-functions
 
-	# install 40-ltsp in both ltsp-client-core and ltsp-server
-	mkdir -p $(CURDIR)/debian/ltsp-client-core/etc/X11/Xsession.d/
-	install -m 644 $(CURDIR)/debian/40-ltsp $(CURDIR)/debian/ltsp-client-core/etc/X11/Xsession.d/40-ltsp-client
-	mkdir -p $(CURDIR)/debian/ltsp-server/etc/X11/Xsession.d/
-	install -m 644 $(CURDIR)/debian/40-ltsp $(CURDIR)/debian/ltsp-server/etc/X11/Xsession.d/40-ltsp-server
-
 	# install appropriate update-kernels.conf
 	mkdir -p $(CURDIR)/debian/ltsp-client-core/etc/ltsp/
 	install -m 644 client/$(VENDOR)/etc/ltsp/update-kernels.conf $(CURDIR)/debian/ltsp-client-core/etc/ltsp/update-kernels.conf

## ltsp 5.5.5

=== debian/changelog ===
ltsp (5.5.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 12 Nov 2015 22:14:45 -0600

ltsp (5.5.5-1) unstable; urgency=medium

  * New upstream version:
  
  [ Vagrant Cascadian ]
  * ltsp-build-client: Disable security and updates mirrors when setting
    DIST to "unstable" (Closes: #509643).

  * ltsp-build-client, update-kernels: Default to using NBD with squashfs
    image to workaround incompatibilities with overlay FS and NFS.
    
  * ltsp-config:
    - Add support for configuring nfs exports.
    - respect --overwrite with ltsp-config nbd-server (LP: #1487333).
      Thanks to Fotis Tsamis for the patch.
    - Remove support for editing /etc/nbd-server/config, as the nbd-server
      package should handle this itself now.
    - Add --quiet option and use from ltsp-update-image.
    - Fix typo stopping nbd-server.

  * ltsp-update-kernels: Remove .dtb files when kernel version is no
    longer installed.

  * initramfs-tools hooks: Add support for the "overlay" filesystem in
    mainline linux.  Unfortunately, it does not appear to work with NFS as
    a backend, but does work with NBD and NFS+squashfs image.
    
  * init-ltsp.d:
    - Fix typo in set-time which broke NTP server configuration.
    - Do not disable screen locking when LDM_PASSWORD_HASH is set.
      (LP: #1444693).

  * Fix bug in "xinitrc" wrapper to allow it to break out of the running
    loop (LP: #1468630). Thanks to alexfk for the report!

  * kiosk: Add support for chromium and fullscreen google-chrome.
    (LP: #1422150).

  [ Alkis Georgopoulos ]
  * init-ltsp.d: Disable suspend and hibernate on LTSP clients.
  * init-ltsp.d: work around `su -` not putting /sbin in the PATH.
  * init-ltsp.d: Prevent gnome-keyring from filling up the disk with temp
    files.

  * ltsp-localapps, ltsp-remoteapps: Replace 8s with 8u in xprop calls,
    for unicode URIs (LP: #1451915).
    
  * initramfs-tools hooks: move udhcpc request message inside the loop.
  
  * ltsp-config:
    - Create lts.conf when TFTP/ltsp/ARCH doesn't exist (LP: #1483573).
    
    - Stop and start nbd-server, as systemd may not realize when
      nbd-server is inactive.

  * ltsp-update-image:
    - properly support overlay, overlayfs and aufs in run_cleanup.
      (LP: #1352038).
    - cleanup.d: Replace truncate with tee to avoid overlayfs issues.
      (LP: #1494660).

  * Replace [A-Za-z] with [:alpha:] to avoid locale issues (LP: #1491066).
  
  * Prevent jetpipe from dying after nmap scan (LP: #1273680).
  
  * localapps:
    - Use an IP for CUPS ServerName to avoid rejected connections.
    - Background the CUPS_SERVER DNS lookup in case it takes a long time.

  * ltsp-update-kernels: Correctly chmod kernels when e.g. umask=0077.
    (LP: #1502824).


  * Debian packaging:
  
  [ Vagrant Cascadian ]
  * ltsp-client: Update X-Ubuntu-Recommends to use guru-fonts instead of
    obsoleted ttf-punjabi-fonts.
  * ltsp-client-core: Install getltscfg-cluster manpage.

  [ Alkis Georgopoulos ]
  * Remove upstreamed patches.
    - 0004-Debian-Remove-ltsp-build-client-plugin-pulseaudio-tw.patch
    - 0013-ltsp-update-kernels-Remove-.dtb-files-when-kernel-ve.patch
    - 0015-Correctly-sort-kernel-FLAVOR-in-increasing-order-and.patch
    - 0016-update-kernels-Fix-issues-with-kernel-version-varian.patch
    - 0017-Debian-update-kernels.conf-Prefer-586-over-486-in-fo.patch
    - 0018-update-kernels-Quiet-down-mkimage-output-when-genera.patch
    - 0020-Drop-hack-to-remove-nouveau_vieux-driver-as-newer-ve.patch

  [ Vagrant Cascadian ]
  * ltsp-server-standalone:
    - Use different desktop environment on Ubuntu.
    - Fix multiple X-Debian-Depends entries.
  * Remove getltscfg-makefile-flags patch, applied upstream.
  * Add patch to disable swap encryption by default, as it simply hangs in
    Debian Stretch. Hopefully this is only temporary...

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 14 Oct 2015 10:50:29 -0700

=== debian/control ===
--- 
+++ 
@@ -61,10 +61,8 @@
  LTSP stands for 'Linux Terminal Server Project'.
 
 Package: ltsp-server-standalone
-X-Debian-Depends: nfs-kernel-server
-Depends: ${misc:Depends},
-  ${vendor:Depends},
-  mate-desktop-environment | gnome-session | x-session-manager | x-window-manager,
+Depends: ${misc:Depends},
+  ${vendor:Depends},
   isc-dhcp-server | dhcp3-server | dnsmasq,
   ldm-server,
   libasound2-plugins,
@@ -77,6 +75,9 @@
   tftpd-hpa | atftpd | dnsmasq (>= 2.41),
   x11-utils,
   xauth
+X-Debian-Depends: nfs-kernel-server,
+  mate-desktop-environment | gnome-session | x-session-manager | x-window-manager
+X-Ubuntu-Depends: gnome-session | mate-desktop-environment | x-session-manager | x-window-manager
 Recommends: ltsp-docs
 Architecture: all
 Description: complete LTSP server environment
@@ -171,6 +172,7 @@
   xorg
 X-Ubuntu-Recommends: fonts-dejavu-core | ttf-dejavu-core,
   fonts-freefont-ttf | ttf-freefont,
+  fonts-guru,
   fonts-kacst-one,
   fonts-khmeros-core,
   fonts-lao,
@@ -179,7 +181,6 @@
   fonts-takao-pgothic,
   fonts-thai-tlwg | ttf-thai-tlwg,
   ttf-indic-fonts-core,
-  ttf-punjabi-fonts,
   ttf-ubuntu-font-family,
   ttf-wqy-microhei
 Recommends: ${vendor:Recommends}

## ltsp 5.5.6

=== debian/changelog ===
ltsp (5.5.6-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable, remaining delta:
    - Edubuntu postinst change (used to install LTSP from Edubuntu live)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 10 Feb 2016 14:18:27 -0500

ltsp (5.5.6-2) unstable; urgency=medium

  * Add patch to avoid always checking weather the ltsp.pot file should be
    regenerated, which leads to unreprodicibility.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 08 Feb 2016 12:44:30 -0800

ltsp (5.5.6-1) unstable; urgency=medium

  * New upstream version.
    - ltsp-cluster: Don't unset SCREEN_NUM as then clients fail to boot.
      (LP: #1360595)
    - Use "sshfs -o disable_hardlink" to fix issues with gnome-keyring
      filling up the disk with temp files.
    - Create a pxelinux.cfg entry for memtest86+.bin.
    - Allow various lts.conf options to end with a description instead of
      a number.
    - Ubuntu: replace "quiet splash" with "forcepae".
    - Support automatic kernel/initrd updates on local media.
    - Use set_lts_var to correctly export LTSP_CLIENT_MAC.
    - Ubuntu: allow specifying KERNEL_ARCH in ltsp-build-client.

  * Do not update po files automatically, to allow package to build
    reproducibly.
  * ltsp-client-core: Add dbus to Recommends, to allow SCREEN scripts to
    work (Closes: #785636).  Thanks to Raphael RIGNIER.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 07 Feb 2016 11:30:52 -0800

ltsp (5.5.4-4ubuntu2) wily; urgency=medium

  * Re-order desktop environment list.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 13 Jul 2015 10:11:08 -0400

ltsp (5.5.4-4ubuntu1) wily; urgency=medium

  * Merge from Debian. Remaining changes:
   - Use fonts-guru instead of ttf-punjabi-fonts
   - Include the getltscfg-cluster manpage
   - Edubuntu support code in ltsp postinst

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 08 Jun 2015 11:33:04 +0200

ltsp (5.5.1-1ubuntu3) vivid; urgency=medium

  * Recommend fonts-guru instead of the superseded ttf-punjabi-fonts
    package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 Mar 2015 07:19:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ltsp
 Section: misc
 Priority: extra
-Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>
 Build-Depends: automake | automaken,
   bison,
@@ -16,7 +17,7 @@
   help2man
 Standards-Version: 3.9.6
 Vcs-Bzr: nosmart+http://anonscm.debian.org/bzr/pkg-ltsp/ltsp-debian-packaging/
-Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
+Vcs-Browser: https://anonscm.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
 Homepage: http://ltsp.org
 
 Package: ltsp-server
@@ -29,7 +30,6 @@
   openssh-client,
   python (>= 2.4),
   tcpd,
-X-Debian-Recommends: nfs-kernel-server
 Recommends: ${vendor:Recommends},
   nbd-server (>= 1:2.9.25-2),
   openbsd-inetd | inet-superserver,
@@ -75,7 +75,7 @@
   tftpd-hpa | atftpd | dnsmasq (>= 2.41),
   x11-utils,
   xauth
-X-Debian-Depends: nfs-kernel-server,
+X-Debian-Depends:
   mate-desktop-environment | gnome-session | x-session-manager | x-window-manager
 X-Ubuntu-Depends: gnome-session | mate-desktop-environment | x-session-manager | x-window-manager
 Recommends: ltsp-docs
@@ -127,7 +127,7 @@
   sshfs,
   x11-xserver-utils
 X-Debian-Recommends: acpi-support-base
-Recommends: ${vendor:Recommends}, procps, pciutils, dnsutils | knot-dnsutils
+Recommends: ${vendor:Recommends}, procps, pciutils, dnsutils | knot-dnsutils, dbus
 Breaks: ltsp-server (<< 5.3.7)
 Replaces: ltsp-server (<< 5.3.7)
 Architecture: any

## ltsp 5.5.7

=== client/getltscfg/Makefile ===
--- 
+++ 
@@ -6,8 +6,7 @@
 LIBS=-lfl -lpopt
 ##LIBS=-lfl -ll -lpopt
 YFLAGS=-v -d
-LDFLAGS=
-CCFLAGS=-W -Wall $(CFLAGS)
+CCFLAGS=-W -Wall $(CFLAGS) $(CPPFLAGS)
 
 getltscfg:	getltscfg.o		\
 		parser.tab.o		\

=== debian/changelog ===
ltsp (5.5.7-1ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <brian@ubuntu.com>  Wed, 11 Jul 2018 15:03:51 -0700

ltsp (5.5.7-1) unstable; urgency=medium

  * New upstream version.
    - ltsp-update-image:
      + Exclude /tmp submounts (LP: #1557779).
      + Prevent the nautilus popup window for the tmpfs mount.

    - initramfs-tools hooks and scripts:
      + Ensure aoe module is always present.
      + Add PREREQ stanza to all initramfs scripts, otherwise they may
        execute on the running system.
      + Ensure udhcpc is busybox-static, not busybox-initramfs.
      + Avoid NBD timeouts in recent initramfs-tools (LP: #696435).
      + Disable resume on LTSP clients to avoid 5 sec delay.

    - Fix support for non-ASCII characters in lts.conf.
    - init-ltsp: Allow early logging to /dev/kmsg.
    - Don't default to NBD_SWAP=true when local swap was found.
    - ltsp-build-client: Select appropriate kernel package for i386.
    - Update services to remove for systemd.

  * debian/control: Update Standards-Version to 3.9.7, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 25 Mar 2016 14:56:39 -0700

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
   pkg-config,
   po-debconf,
   help2man
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Bzr: nosmart+http://anonscm.debian.org/bzr/pkg-ltsp/ltsp-debian-packaging/
 Vcs-Browser: https://anonscm.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
 Homepage: http://ltsp.org

=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,6 @@
 
 	# Using po specific Makefile to clean message catalogs
 	$(MAKE) -C po clean
-
-	# Debconf translation update
-	debconf-updatepo
 
 	chmod +x debian/bugs/ltsp-server/script

## ltsp 5.5.8

=== debian/changelog ===
ltsp (5.5.8-1) unstable; urgency=medium

  * New upstream version:
    - Support ltsp.init=xxx instead of passing 'ltsp' to tag an LTSP
      client boot (LP: #1562911).
    - Use BOOT_IMAGE to ensure a default ROOTPATH and to determine
      lts.conf TFTP location (LP: #1594840).
    - ltsp-build-client:
      + Select 686 kernel on stretch and newer, as both 486
        and 586 variants are deprecated.
      + Fix use of --apt-keys when gnupg isn't present in the chroot.
        (Closes: #831409).
      + Support using comma-separated lists of packages for --pin-packages
        and --backports-packages.
    - Add man page for init-ltsp.
  * ltsp-client-core:
    - Add Depends on init, to ensure /sbin/init is present.
    - Install init-ltsp man page.
  * debian/rules:
    - Enable hardening options.
  * ltsp-server:
    - Recommend gnupg (Closes: #831409).
  * ltsp-server-standalone:
    - Depend on gnupg (Closes: #831409).
  * Update Standards-Version to 3.9.8, no changes.
  * Switched to git, update Vcs-Git and Vcs-Browser.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 06 Sep 2016 14:35:47 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ltsp
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
+Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>
 Build-Depends: automake | automaken,
   bison,
@@ -15,9 +14,9 @@
   pkg-config,
   po-debconf,
   help2man
-Standards-Version: 3.9.7
-Vcs-Bzr: nosmart+http://anonscm.debian.org/bzr/pkg-ltsp/ltsp-debian-packaging/
-Vcs-Browser: https://anonscm.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ltsp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ltsp.git/
 Homepage: http://ltsp.org
 
 Package: ltsp-server
@@ -31,6 +30,7 @@
   python (>= 2.4),
   tcpd,
 Recommends: ${vendor:Recommends},
+  gnupg,
   nbd-server (>= 1:2.9.25-2),
   openbsd-inetd | inet-superserver,
   openssh-server,
@@ -63,6 +63,7 @@
 Package: ltsp-server-standalone
 Depends: ${misc:Depends},
   ${vendor:Depends},
+  gnupg,
   isc-dhcp-server | dhcp3-server | dnsmasq,
   ldm-server,
   libasound2-plugins,
@@ -95,6 +96,7 @@
   ${shlibs:Depends},
   ${vendor:Depends},
   console-setup,
+  init,
   initramfs-tools (>= 0.99) [linux-any],
   iproute2 | iproute,
   kbd [linux-any] | console-tools [linux-any],

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 endif
 
 DEB_VERSION:=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --with autoreconf

## ltsp 5.5.9

=== debian/changelog ===
ltsp (5.5.9-2) unstable; urgency=medium

  * Update NEWS.Debian to mention switch to NBD and disabling of encrypted
    swap by default.
  * Fix setting of FAT_CLIENT_DESKTOPS from configuration file. Thanks to
    Finn Andersen.
  * Prefer dnsmasq for DHCP and TFTP.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 09 Jan 2017 12:07:59 -0800

ltsp (5.5.9-1) unstable; urgency=medium

  * New upstream version, prepared with care in Ιωάννινα:
    [ Vagrant Cascadian ]
    - ltsp-build-client:
      + Use apt pinning by codename.
      + Handle apt keys specified by directory.
      + Remove plugin that needlessly configures /var/run and /var/lock to
        be mounted as tmpfs. Thanks to Wolfgang Schweer. (Closes: #839154)
      + Switch default mirror to deb.debian.org.
        Thanks to Wolfgang Schweer. (Closes: #840668)
      + Ensure /tmp has proper permissions when respecting TMP/TMPDIR
        variables. Thanks to Wolfgang Schweer. (Closes: #840667)
      + Ensure /etc/network exists before attempting to create the
        interfaces file.
    - Add support for OVERLAY_DIR, which is copied to the rootfs on boot.

    [ Alkis Georgopoulos ]
    - Initial multiseat support.
    - ltsp-update-image: Make it easier to run sshd on LTSP clients.
      (LP: #1324545)

  [ Vagrant Cascadian ]
  * Remove debian/watch file.
  * ltsp-client: Add versioned dependency on ltsp-client-core.
  * ltsp-server-standalone: Add versioned dependency on ltsp-server.
  * Add build dependency on libfl-dev. Thanks to Helmut Grohne.
    (Closes: #846439)

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 07 Dec 2016 00:02:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
   debhelper (>= 9),
   dh-autoreconf,
   flex,
+  libfl-dev,
   dctrl-tools,
   libpopt-dev,
   libx11-dev,
@@ -35,10 +36,10 @@
   openbsd-inetd | inet-superserver,
   openssh-server,
   squashfs-tools,
-  tftpd-hpa | atftpd | dnsmasq (>= 2.41)
+  dnsmasq (>= 2.41) | tftpd-hpa | atftpd,
 Suggests: audiooss,
   mate-desktop-environment | gnome-session | x-session-manager | x-window-manager,
-  isc-dhcp-server | dhcp3-server | dnsmasq,
+  dnsmasq | isc-dhcp-server | dhcp3-server,
   ldm-server,
   libasound2-plugins,
   ltsp-docs,
@@ -64,16 +65,16 @@
 Depends: ${misc:Depends},
   ${vendor:Depends},
   gnupg,
-  isc-dhcp-server | dhcp3-server | dnsmasq,
+  dnsmasq | isc-dhcp-server | dhcp3-server,
   ldm-server,
   libasound2-plugins,
   ltspfs,
-  ltsp-server,
+  ltsp-server (>= ${binary:Version}),
   nbd-server (>= 1:2.9.25-2),
   openbsd-inetd | inet-superserver,
   openssh-server,
   squashfs-tools,
-  tftpd-hpa | atftpd | dnsmasq (>= 2.41),
+  dnsmasq (>= 2.41) | tftpd-hpa | atftpd,
   x11-utils,
   xauth
 X-Debian-Depends:
@@ -160,7 +161,7 @@
   inputattach [!s390 !s390x] | joystick (<< 20051019-6) [!s390 !s390x],
   ldm,
   libasound2-plugins,
-  ltsp-client-core,
+  ltsp-client-core (>= ${binary:Version}),
   ltspfsd (>= 1.1),
   netcat-traditional | netcat,
   ntpdate,
